## cairo-dock 3.0.0

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock")
set (VERSION "3.0.0")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

set (prefix ${CMAKE_INSTALL_PREFIX})  # /usr/local
set (exec_prefix ${prefix})
set (datadir "${prefix}/${CMAKE_INSTALL_DATAROOTDIR}")  # (...)/share
set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man

set (VERSION_HELP "0.9.991") # needed to parse Help.conf.in

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND "${FORCE_LIB64}" STREQUAL "yes")  # 64bits and force install in lib64
	set (libdir "${prefix}/lib64")
else()
	set (libdir "${prefix}/${CMAKE_INSTALL_LIBDIR}${LIB_SUFFIX}")  # (...)/lib
endif()

set (includedir "${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")  # (...)/include
set (bindir "${prefix}/${CMAKE_INSTALL_BINDIR}")  # (...)/bin

########### dependencies ###############

set (packages_required "gthread-2.0 cairo librsvg-2.0 dbus-1 dbus-glib-1 libxml-2.0 xrender gl glu pangox libcurl")  # for the .pc
STRING (REGEX REPLACE " " ";" packages_required_semicolon ${packages_required})  # replace blank space by semicolon => to have more details if a package is missing
pkg_check_modules ("PACKAGE" REQUIRED "${packages_required_semicolon}")

set (xextend_required "xtst xcomposite xinerama")  # for the .pc
STRING (REGEX REPLACE " " ";" xextend_required_semicolon ${xextend_required})
pkg_check_modules ("XEXTEND" "${xextend_required_semicolon}")
if (${XEXTEND_FOUND})
	set (HAVE_XEXTEND 1)
else()
	set (xextend_required)
endif()

if (NOT "${force-gtk2}" STREQUAL "yes")  # by default, we use GTK+3 except if we force the use of GTK+2
	set (gtk_required "gtk+-3.0")  # for the .pc
	pkg_check_modules ("GTK" "${gtk_required}")  # the check is not set as 'required' because we can use GTK+2 if GTK+3 isn't available
endif()

if (NOT "${GTK_FOUND}")
	set (gtk_required "gtk+-2.0")  # for the .pc
	pkg_check_modules ("GTK" REQUIRED "${gtk_required}")  # the check is requiered this time because we need GTK anyway.
endif()

STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")

add_definitions (-DGTK_DISABLE_DEPRECATED="1")
# add_definitions (-DG_DISABLE_DEPRECATED="1")

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (${HAVE_LIBCRYPT})
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_include_files ("math.h" HAVE_MATH_H)
check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
CHECK_LIBRARY_EXISTS (m sin "" HAVE_LIBM)

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock will be compiled with the following options :")
if (${XEXTEND_FOUND})
	MESSAGE (STATUS " * Use X Extensions : yes")
else()
	MESSAGE (STATUS " * Use X Extensions : no")
endif()
if (${HAVE_LIBCRYPT})
	MESSAGE (STATUS " * crypt passwords : yes")
else()
	MESSAGE (STATUS " * crypt passwords : no")
endif()
MESSAGE (STATUS " * GTK version : ${GTK_MAJOR}")
MESSAGE (STATUS)

########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (CAIRO_DOCK_THEMES_DIR "themes")
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
set (GLDI_MODULES_DIR ${libdir}/cairo-dock)
set (GLDI_BIN_DIR ${bindir})

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/launcher.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/launcher.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/container.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/container.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/separator.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/separator.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/Help.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

########### install files ###############

install (FILES cairo-dock-package-theme
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)

###########     misc      ###############
#set (CPACK_SOURCE_GENERATOR "TGZ")
#set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
#set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.deps/;Makefile$;Makefile.in;.gmo$;/.libs/;.lo$;.la$;POTFILES;stamp-it;aclocal.m4;config.guess$;/config.h$;/config.h.in$;/config.log$;/config.status$;/config.sub$;/configure$;/depcomp$;/install-sh$;/libtool$;/ltmain.sh$;/missing$;/stamp-h1$;/compile;/CMakeFiles/;/_CPack_Packages/;/autom4te.cache/;/install_manifest.txt$;.tar.gz$;/CMakeCache.txt$;/cairo-dock$;/scripts/;/doc/;/data/themes.conf$;/data/cairo-dock.conf$;/data/main-dock.conf$;/data/cairo-dock-simple.conf$;/cairo-dock.pc$;.cmake$;~$;${CPACK_SOURCE_IGNORE_FILES}")
#include (CPack)  # a inclure apres les set.
#add_custom_target( dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)  # pour pouvoir l'appeler avec "make dist"

=== data/icons/CMakeLists.txt ===

########### install files ###############

install (FILES
	# lib
	cairo-dock-ok.svg
	cairo-dock-cancel.svg
	default-class-indicator.svg
	default-icon.svg
	default-icon-appli.svg
	default-indicator.png
	depth-rotate-desklet.svg
	no-input-desklet.png
	retach-desklet.svg
	rotate-desklet.svg
	theme-distant.svg
	theme-local.svg
	theme-new.svg
	theme-updated.svg
	theme-user.svg
	# implementations
	box-back.png
	box-front.png
	# appli
	balloons.png
	cairo-dock-animated.xpm
	icon-accessories.svg
	icon-all.svg
	icon-appearance.svg
	icon-background.svg
	icon-behavior.svg
	icon-bubble.png
	icon-buttons.png
	icon-close.svg
	icon-connection.svg
	icon-controler.svg
	icon-desklets.png
	icon-desktop.svg
	icon-dialogs.svg
	icon-extensions.svg
	icon-files.svg
	icon-frame.png
	icon-fun.svg
	icon-gradation.png
	icon-help.svg
	icon-hidden-dock.svg
	icon-icons.svg
	icon-indicators.svg
	icon-internet.svg
	icon-labels.svg
	icon-lock-icons.svg
	icon-lower.svg
	icon-maximize.svg
	icon-minimize.svg
	icon-mouse.svg
	icon-movment.png
	icon-plug-ins.svg
	icon-position.svg
	icon-restore.svg
	icon-subdock.png
	icon-system.svg
	icon-taskbar.png
	icon-views.svg
	icon-visibility.svg
	icon-wave.png
	DESTINATION ${pkgdatadir}/icons )

=== src/help/CMakeLists.txt ===

SET(help_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-tips-dialog.c 		applet-tips-dialog.h
	applet-composite.c 		applet-composite.h
	cairo-dock-help.c 		cairo-dock-help.h
)

add_library(help STATIC ${help_SRCS})
add_definitions (-fPIC)

add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${pkgdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="images/help-preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Help.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Help")
add_definitions (-DMY_APPLET_VERSION="${VERSION_HELP}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_PACKAGE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${VERSION}")
add_definitions (-DMY_APPLET_ICON_FILE="icons/icon-help.svg")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/gldit)

=== src/icon-factory/CMakeLists.txt ===

SET(icon_SRCS
	cairo-dock-launcher-factory.c 	cairo-dock-launcher-factory.h
	cairo-dock-application-factory.c 	cairo-dock-application-factory.h
	cairo-dock-separator-factory.c 	cairo-dock-separator-factory.h
	cairo-dock-applet-factory.c 		cairo-dock-applet-factory.h
	cairo-dock-desktop-file-factory.c 	cairo-dock-desktop-file-factory.h
)

add_library(icon-factory STATIC ${icon_SRCS})
add_definitions (-fPIC)

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit)

########### install files ###############

install(FILES
	cairo-dock-application-factory.h 	cairo-dock-launcher-factory.h
	cairo-dock-separator-factory.h 	cairo-dock-applet-factory.h
	cairo-dock-desktop-file-factory.h
	DESTINATION ${includedir}/cairo-dock/icon-factory)

=== src/implementations/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gauge.c 				cairo-dock-gauge.h
	cairo-dock-graph.c 				cairo-dock-graph.h
	cairo-dock-hiding-effect.c	 	cairo-dock-hiding-effect.h
	cairo-dock-icon-container.c 	cairo-dock-icon-container.h
	cairo-dock-default-view.c 		cairo-dock-default-view.h
	cairo-dock-compiz-integration.c	cairo-dock-compiz-integration.h
	cairo-dock-kwin-integration.c	cairo-dock-kwin-integration.h
)

add_library(implementations STATIC ${impl_SRCS})
add_definitions (-fPIC)
add_definitions (-DSHARE_DATA_DIR="${pkgdatadir}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

########### install files ###############

install (FILES
	cairo-dock-gauge.h	 	 	 cairo-dock-graph.h
	DESTINATION ${includedir}/cairo-dock/implementations)

=== data/themes/default-theme-panel/plug-ins/dialog-rendering/CMakeLists.txt ===
install (FILES dialog-rendering.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/dialog-rendering )

=== data/themes/default-theme-panel/plug-ins/netspeed/CMakeLists.txt ===
install (FILES netspeed.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/netspeed )

=== debian/changelog ===
cairo-dock (3.0.0-2+deb7u1) testing; urgency=low

  * Fix syntax error in copyright file.
  * Fix segfault when using log out applet. (Closes: #676841)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Dec 2012 01:29:19 +0900

cairo-dock (3.0.0-2) unstable; urgency=low

  * Set Build-Depends libgtk-3-dev instead of libgtk2.0-dev.
  * Update version of cairo-dock-plug-ins.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 20 May 2012 21:04:21 +0900

cairo-dock (3.0.0-1) unstable; urgency=low

  [Youhei SASAKI]
  * Imported Upstream version 3.0.0 (Closes: #661733)
  * Update debian/watch
  * Bump Standard Version: 3.9.3
  * Fix Glib Singel-Include Issue, Thanks to Michael Biebl (Closes: #665514)
  * Update lintian-overrides: soname version bump

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 12 Apr 2012 18:07:17 +0900

cairo-dock (2.4.0~2-1) unstable; urgency=low

  * New Upstream version 2.4.0~2. (Closes: #593355, #645648)
  * Change depends package from cairo-dock-plugins to cairo-dock-plug-ins.
  * Update debian/copyright, convert to DEP5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2011 08:48:18 +0900

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, intltool, pkg-config,
		libcairo-dev, libdbus-1-dev, librsvg2-dev, libxml2-dev,
		libxrender-dev, libxtst-dev, libgtkglext1-dev, libcurl4-gnutls-dev,
		libdbus-glib-1-dev, libgtk-3-dev, quilt, cmake (>= 2.8.0)
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock.git

Package: cairo-dock
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plug-ins (>= 3.0.0)
Conflicts: cairo-dock (<= 2.1.3.5-2)
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This is metapackage that provides the components necessary for running
 Cairo-dock. This installs a cairo-dock-core application and cairo-dock-plugins
 package easily.
 .
 And Cairo-dock installs cairo-dock-core and plugins and makes sense as
 Cairo-dock.

Package: cairo-dock-core
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock (<= 2.1.3.5-2)
Replaces: cairo-dock (<= 2.1.3.5-2)
Suggests: xcompmgr, empathy, f-spot, gcalctool, gimp, inkscape
Recommends: cairo-dock-plugins (>= 2.1.3.10), curl
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock-core application.

Package: cairo-dock-dev
Section: devel
Priority: extra
Architecture: any
Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
Description: Cairo-dock develpment file
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock development file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_USER_FLAGS= --enable-xextend
DEB_COMPRESS_EXCLUDE := cairo-dock-package-theme
clean::
	rm -f src/config.h
	rm -f src/gldit/gldi-config.h

## cairo-dock 3.0.0.0beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.0.0")
+set (VERSION "3.0.0.0beta1")
 
 add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -53,7 +53,7 @@
 set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
 set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man
 
-set (VERSION_HELP "0.9.991") # needed to parse Help.conf.in
+set (VERSION_HELP "0.9.99") # needed to parse Help.conf.in
 
 if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND "${FORCE_LIB64}" STREQUAL "yes")  # 64bits and force install in lib64
 	set (libdir "${prefix}/lib64")
@@ -92,7 +92,7 @@
 STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")
 
 add_definitions (-DGTK_DISABLE_DEPRECATED="1")
-# add_definitions (-DG_DISABLE_DEPRECATED="1")
+## add_definitions (-DG_DISABLE_DEPRECATED="1")
 
 # We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
 check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)

=== data/CMakeLists.txt ===
add_subdirectory(default-theme)
add_subdirectory(gauges)
add_subdirectory(explosion)
add_subdirectory(man)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(scripts)
if ("${enable-desktop-manager}" STREQUAL "yes")
	add_subdirectory(desktop-manager)
endif()


########### install files ###############

# misc
install (FILES
	cairo-dock.svg
	readme-default-view
	ChangeLog.txt
	DESTINATION ${pkgdatadir})

# appli icon
install (FILES
	cairo-dock.svg
	DESTINATION ${datadir}/pixmaps)

# conf files
install (FILES
	# lib
	${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/launcher.desktop
	${CMAKE_CURRENT_BINARY_DIR}/container.desktop
	${CMAKE_CURRENT_BINARY_DIR}/separator.desktop
	# appli
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf
	${CMAKE_CURRENT_BINARY_DIR}/themes.conf
	${CMAKE_CURRENT_BINARY_DIR}/Help.conf
	DESTINATION ${pkgdatadir})

# appli desktop file
install (FILES
	cairo-dock.desktop
	cairo-dock-cairo.desktop
	DESTINATION ${datadir}/applications)

=== data/default-theme/CMakeLists.txt ===
add_subdirectory(launchers)
add_subdirectory(plug-ins)
add_subdirectory(images)

########### install files ###############

install(FILES
	cairo-dock.conf
	preview
	readme
	DESTINATION ${pkgdatadir}/themes/_default_ )

=== data/desktop-manager/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	cairo-dock-fallback.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	cairo-dock-fallback.session
	DESTINATION /usr/share/gnome-session/sessions)

install (FILES cairo-dock-session
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== data/default-theme/plug-ins/dialog-rendering/CMakeLists.txt ===

########### install files ###############

install(FILES  dialog-rendering.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/dialog-rendering )

=== data/default-theme/plug-ins/rendering/CMakeLists.txt ===

########### install files ###############

install(FILES  rendering.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/rendering )

=== data/default-theme/plug-ins/shortcuts/CMakeLists.txt ===

########### install files ###############

install(FILES  shortcuts.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/shortcuts )

=== debian/changelog ===
cairo-dock (3.0.0.0beta1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #932041)
  * Upstream (short) ChangeLog:
   - The taskbar has been greatly enhanced.
   - The control of the dock from the keyboard is now very powerful:
    - many shortkeys have been added in different applets
    - you can activate a launcher by pressing a shortkey + its number
    - all shortkeys can now be managed in a single place
       in the configuration window.
   - A new Twitter applet lets you tweet in one click.
   - A new applet to inhibit the screensaver in one click.
   - Cairo-Dock now uses GTK3, for a better integration in a Gnome desktop
   - It's possible to donate to support the project!
   - (...)
  * debian/patches:
   - Removed all previous patches (now in upstream)
  * debian/rules and debian/control:
   - Added multiarch support
  * debian/control:
   - libgtk-3-dev is now needed instead of libgtk2.0-dev
   - libgtkglext1-dev is no longer needed
      (replaced by libgl, libglu and libpango)
   - cairo-dock: increase the version of plug-ins packages
      and added: cairo-dock-plug-ins-dbus-interface-python
   - cairo-dock-dev has been replaced by libgldi-dev
      and dependences have been updated
   - Added a new package (libgldi3) in order to support multiarch
      and to fix this lintian error: package-name-doesnt-match-sonames
  * debian/cairo-dock-core.install and debian/libgldi3.install:
   - libgldi3 package has been added
   - It contains the library used by cairo-dock
   - MultiArch is supported
  * debian/cairo-dock-dev.install and debian/libgldi-dev.install:
   - cairo-dock-dev has been replaced by libgldi-dev
  * Updated debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 16 Feb 2012 01:08:11 +0200

## cairo-dock 3.0.0.0rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.0.0.0beta1")
+set (VERSION "3.0.0.0rc1")
 
 add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -92,7 +92,7 @@
 STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")
 
 add_definitions (-DGTK_DISABLE_DEPRECATED="1")
-## add_definitions (-DG_DISABLE_DEPRECATED="1")
+# add_definitions (-DG_DISABLE_DEPRECATED="1")
 
 # We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
 check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)

=== data/gauges/CMakeLists.txt ===
add_subdirectory(battery)
add_subdirectory(turbo-night-fuel)


########### install files ###############




#original Makefile.am contents follow:

#SUBDIRS = . battery turbo-night-fuel

=== data/default-theme/images/CMakeLists.txt ===

########### install files ###############

install(FILES
	active.png
	bg.svg
	indicator.png
	DESTINATION ${pkgdatadir}/themes/_default_/images )

=== data/default-theme/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01firefox.desktop
	01gcalctool.desktop
	01gimp.desktop
	01gnome-terminal.desktop
	01ooo-writer.desktop
	01pidgin.desktop
	01separator.desktop
	01thunderbird.desktop
	01ubuntu-software-center.desktop
	02separator.desktop
	03separator.desktop
	DESTINATION ${pkgdatadir}/themes/_default_/launchers)

=== data/default-theme/plug-ins/Clipper/CMakeLists.txt ===

########### install files ###############

install(FILES  Clipper.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Clipper )

=== data/default-theme/plug-ins/GMenu/CMakeLists.txt ===

########### install files ###############

install(FILES  GMenu.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/GMenu )

=== data/default-theme/plug-ins/Recent-Events/CMakeLists.txt ===

########### install files ###############

install(FILES Recent-Events.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Recent-Events )

=== data/default-theme/plug-ins/quick-browser/CMakeLists.txt ===

########### install files ###############

install(FILES  quick-browser.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/quick-browser )

=== debian/changelog ===
cairo-dock (3.0.0.0rc1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #961578)
  * Upstream ChangeLog: (main changes)
   - Updated translations
   - Fixed the default theme (wrong sensitivity)
   - Fixed a small regression with the module loader
   - Added a modifier to display a widget in cairo or opengl only
      (an option for poor drivers)
   - Fixed a regression that made incorrect dock size in Parabolic view
      and the rendering of docks
   - Fixed a small bug in the advanced config window and fixed a memory leak
   - Avoid some 'unforseen consequences' when the icon theme changes
   - Copyright: Fixed a few typo with the licences
   - Advanced mode of the config panel: a few tweaks to get a better look
   - Fixed a bug where class container-icons were invisible
   - Added a workaround to fix a bug in Compiz (or X?) where down-sizing
      the screen resolution does not trigger the _NET_DESKTOP_GEOMETRY atom
   - Fixed a possible (although probably very rare) crash case with sub-docks
   - When entering a dock, update correctly the pointed icon to avoid
      animation on the previously pointed icon
   - Take into account the window border to compute the right window
      position and size
   - quick-info: reduce the background size to minimize their surface
   - GTK3: gdk_window_get_pointer and gdk_display_get_pointer functions
      are deprecated
   - GTK3: since the release of GTK 3.3.18, we have to add GDK_SCROLL_MASK
      to be notified with scroll events.
   - data-renderer: ensure the container's window has reached its correct
      size before drawing
   - resize the containers to 1x1 initially, to avoid seeing them before
      a correct size has been set
   - Icons from GTK themes: specify the right icons size in order to not load
      too detailed images for tiny icons sizes
   - Reduced the icon size in the advanced GUI window (32 -> 28)
   - Added cairo_dock_add_path_to_icon_theme and
      cairo_dock_remove_path_from_icon_theme to avoid useless icon loading
   - Handle the case where the icon tries to draw itself before the GL
      context is ready
   - Fixed the server adress in the simple GUI
   - A few code cleaning
   - Fixed a few details and tiny bugs (-> BZR logs)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 21 Mar 2012 21:00:24 +0100

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs, 
		debhelper (>= 8.1.3),
		cmake,
		libcairo2-dev, 
		libgtk-3-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libcurl4-gnutls-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: 	cairo-dock (<= 2.0.8.0)
Depends: 	cairo-dock-core (>= ${source:Version}),
			cairo-dock-plug-ins (>= 3.0.0.0beta1),
			cairo-dock-plug-ins-integration (>= 3.0.0.0beta1),
			cairo-dock-plug-ins-dbus-interface-python (>= 3.0.0.0beta1),
			${misc:Depends}
Description: Light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment. 

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	cairo-dock-data (>= ${source:Version}),
			${shlibs:Depends}, 
			${misc:Depends}
Recommends:	cairo-dock, cairo-dock-plug-ins
Suggests:	firefox, gnome-terminal, empathy, inkscape, gimp, shotwell, rhythmbox
Description: Light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: libgldi-dev
Section: libdevel
Architecture: any
Depends: 	libgldi3 (= ${binary:Version}),
		${misc:Depends},
		libcairo2-dev,
		libgtk-3-dev,
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libcurl4-gnutls-dev
Pre-Depends: ${misc:Pre-Depends}
Recommends:	cairo-dock
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock 
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	${misc:Depends}
Description: Light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

Package: libgldi3
Section: graphics
Architecture: any
Conflicts:	cairo-dock (<= 2.0.8.0)
Replaces:	cairo-dock (<= 2.0.8.0),
			cairo-dock-core (<< 3.0.0)
Breaks:		cairo-dock-core (<< 3.0.0)
Depends: 	${shlibs:Depends}, 
			${misc:Depends}
Recommends:	cairo-dock-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (lib package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains the library created and used by the Cairo-Dock project.
